Get list of all Submissions

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all data submissions made through a collection link.

Endpoints

OAuth Scope

WorkDrive.Collection.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/collections/{collection_id}/submissions \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

collection_idstring(Required)

A unique ID that represents a collection.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

page[limit]string(Optional)

Limit indicates the number of items to be listed.

(The maximum limit is 50)

For More Details about pagination, refer here

page[offset]string(Optional)

Offset pagination returns 50 items by default. Offset indicates from where the listing should start.

You can change the limit if required.

Learn more about pagination types

Response Example

R008

200
200
401
Copied!
  {
    "data": [
      {
        "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa-$2356222981689442465",
        "type": "submissions",
        "attributes": {
          "collection_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
          "recent_upload_time": "May 11 23, 9:32 AM",
          "user_email": "sara.lee@sundown.com",
          "user_type": 2,
          "user_id": "$2356222981689442465",
          "user_name": "Sara Lee",
          "upload_count": 6,
          "recent_upload_time_in_millis": 1620705720000
        },
        "relationships": {
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/submissions/h862cc41180f05a1d418e9a8a38891eaf87e0-$2356222981689442465/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/api/v1/submissions/h862cc41180f05a1d418e9a8a38891eaf87e0-$2356222981689442465/files"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/submissions/h862cc41180f05a1d418e9a8a38891eaf87e0-$2356222981689442465"
        }
      },
      {
        "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa-55997622",
        "type": "submissions",
        "attributes": {
          "collection_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
          "recent_upload_time": "May 22, 08:12 AM",
          "user_type": 0,
          "avatar_url": "https://www.zohoapis.com/workdrive/file?t=user&ID=55997622&fs=thumb&nps=404",
          "user_id": "55997622",
          "user_name": "James Vasanth",
          "upload_count": 2,
          "recent_upload_time_in_millis": 1621651320000
        },
        "relationships": {
          "files": {
            "links": {
              "self": "https://www.zohoapis.com/workdrive/api/v1/submissions/h862cc41180f05a1d418e9a8a38891eaf87e0-55997622/relationships/files",
              "related": "https://www.zohoapis.com/workdrive/api/v1/submissions/h862cc41180f05a1d418e9a8a38891eaf87e0-55997622/files"
            }
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/submissions/h862cc41180f05a1d418e9a8a38891eaf87e0-55997622"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full